<?php
namespace Inti\Gath\Wp\Plugin;

use Inti\Gath\Model\Repository\ProductPriceRepository;
use Inti\Gath\Model\Repository\RepositoryManager;
use Inti\Gath\Model\Repository\ProductRepository;
use Psr\Container\ContainerInterface;

/**
 * Class GathPricesFactory
 *
 * @package Inti\Gath\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class GathPricesFactory
{
    public function __invoke(ContainerInterface $container): GathPrices
    {
        /** @var RepositoryManager $repos */
        $repos = $container->get(RepositoryManager::class);
        /** @var ProductPriceRepository $prices */
        $prices = $repos->get(ProductPriceRepository::class);
        $products = $repos->get(ProductRepository::class);

        return new GathPrices($prices, $products);
    }
}
