<?php
namespace Inti\Gath\Wp\Plugin;

use Inti\Gath\Model\Repository\ProductRepository;
use Inti\Gath\Model\Repository\ProductStockRepository;
use Inti\Gath\Model\Repository\RepositoryManager;
use Psr\Container\ContainerInterface;

/**
 * Class GathStockFactory
 *
 * @package Inti\Gath\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class GathStockFactory
{
    public function __invoke(ContainerInterface $container): GathStock
    {
        /** @var RepositoryManager $repos */
        $repos = $container->get(RepositoryManager::class);
        /** @var ProductStockRepository $stocks */
        $stocks = $repos->get(ProductStockRepository::class);
        /** @var ProductRepository $products */
        $products = $repos->get(ProductRepository::class);

        return new GathStock($stocks, $products);
    }
}
